diff --git a/lib/app/modules/petugas_desa/components/calendar_view_widget.dart b/lib/app/modules/petugas_desa/components/calendar_view_widget.dart
index 95e2e00..2fcf189 100644
--- a/lib/app/modules/petugas_desa/components/calendar_view_widget.dart
+++ b/lib/app/modules/petugas_desa/components/calendar_view_widget.dart
@@ -10,6 +10,12 @@ class CalendarViewWidget extends StatelessWidget {
   final JadwalPenyaluranController controller;
   final CalendarController _calendarController = CalendarController();
 
+  // Tambahkan variabel untuk status filter
+  final RxBool _showAllSchedules = true.obs;
+
+  // Tambahkan variabel untuk mode tampilan kalender
+  final Rx<CalendarView> _calendarView = CalendarView.month.obs;
+
   CalendarViewWidget({
     super.key,
     required this.controller,
@@ -47,20 +53,135 @@ class CalendarViewWidget extends StatelessWidget {
                 topRight: Radius.circular(16),
               ),
             ),
-            child: Row(
+            child: Column(
+              crossAxisAlignment: CrossAxisAlignment.start,
               children: [
-                const Icon(
-                  Icons.calendar_month_rounded,
-                  color: Colors.white,
-                  size: 28,
+                // Title pada baris pertama
+                Row(
+                  children: [
+                    const Icon(
+                      Icons.calendar_month_rounded,
+                      color: Colors.white,
+                      size: 24,
+                    ),
+                    const SizedBox(width: 12),
+                    Text(
+                      'Kalender Penyaluran',
+                      style: Theme.of(context).textTheme.titleLarge?.copyWith(
+                            fontWeight: FontWeight.bold,
+                            color: Colors.white,
+                          ),
+                    ),
+                  ],
                 ),
-                const SizedBox(width: 12),
-                Text(
-                  'Kalender Penyaluran',
-                  style: Theme.of(context).textTheme.titleLarge?.copyWith(
-                        fontWeight: FontWeight.bold,
-                        color: Colors.white,
-                      ),
+
+                const SizedBox(height: 12),
+
+                // Tombol filter pada baris kedua
+                Row(
+                  mainAxisAlignment: MainAxisAlignment.end,
+                  children: [
+                    // Tombol mode tampilan
+                    Obx(() => Container(
+                          decoration: BoxDecoration(
+                            color: Colors.white.withOpacity(0.2),
+                            borderRadius: BorderRadius.circular(8),
+                          ),
+                          child: Tooltip(
+                            message: _calendarView.value == CalendarView.month
+                                ? 'Beralih ke tampilan agenda'
+                                : 'Beralih ke tampilan kalender',
+                            child: InkWell(
+                              onTap: () {
+                                _calendarView.value =
+                                    _calendarView.value == CalendarView.month
+                                        ? CalendarView.schedule
+                                        : CalendarView.month;
+
+                                // Update calendar controller dengan tampilan baru
+                                _calendarController.view = _calendarView.value;
+                              },
+                              borderRadius: BorderRadius.circular(8),
+                              child: Padding(
+                                padding: const EdgeInsets.symmetric(
+                                    horizontal: 10, vertical: 6),
+                                child: Row(
+                                  mainAxisSize: MainAxisSize.min,
+                                  children: [
+                                    Icon(
+                                      _calendarView.value == CalendarView.month
+                                          ? Icons.view_agenda
+                                          : Icons.calendar_month,
+                                      color: Colors.white,
+                                      size: 16,
+                                    ),
+                                    const SizedBox(width: 4),
+                                    Text(
+                                      _calendarView.value == CalendarView.month
+                                          ? 'Agenda'
+                                          : 'Bulan',
+                                      style: const TextStyle(
+                                        color: Colors.white,
+                                        fontSize: 12,
+                                        fontWeight: FontWeight.w600,
+                                      ),
+                                    ),
+                                  ],
+                                ),
+                              ),
+                            ),
+                          ),
+                        )),
+
+                    const SizedBox(width: 8),
+
+                    // Tombol filter
+                    Obx(() => Container(
+                          decoration: BoxDecoration(
+                            color: Colors.white.withOpacity(0.2),
+                            borderRadius: BorderRadius.circular(8),
+                          ),
+                          child: Tooltip(
+                            message: _showAllSchedules.value
+                                ? 'Tampilkan hanya jadwal bulan ini'
+                                : 'Tampilkan semua jadwal',
+                            child: InkWell(
+                              onTap: () {
+                                _showAllSchedules.value =
+                                    !_showAllSchedules.value;
+                              },
+                              borderRadius: BorderRadius.circular(8),
+                              child: Padding(
+                                padding: const EdgeInsets.symmetric(
+                                    horizontal: 10, vertical: 6),
+                                child: Row(
+                                  mainAxisSize: MainAxisSize.min,
+                                  children: [
+                                    Icon(
+                                      _showAllSchedules.value
+                                          ? Icons.filter_list
+                                          : Icons.filter_alt,
+                                      color: Colors.white,
+                                      size: 16,
+                                    ),
+                                    const SizedBox(width: 4),
+                                    Text(
+                                      _showAllSchedules.value
+                                          ? 'Semua'
+                                          : 'Bulan Ini',
+                                      style: const TextStyle(
+                                        color: Colors.white,
+                                        fontSize: 12,
+                                        fontWeight: FontWeight.w600,
+                                      ),
+                                    ),
+                                  ],
+                                ),
+                              ),
+                            ),
+                          ),
+                        )),
+                  ],
                 ),
               ],
             ),
@@ -71,7 +192,7 @@ class CalendarViewWidget extends StatelessWidget {
               height: MediaQuery.of(context).size.height * 0.65,
               child: Obx(() {
                 return SfCalendar(
-                  view: CalendarView.month,
+                  view: _calendarView.value,
                   controller: _calendarController,
                   initialSelectedDate: DateTime.now(),
                   initialDisplayDate: DateTime.now(),
@@ -119,6 +240,42 @@ class CalendarViewWidget extends StatelessWidget {
                       ),
                     ),
                   ),
+                  scheduleViewSettings: ScheduleViewSettings(
+                    appointmentItemHeight: 70,
+                    monthHeaderSettings: MonthHeaderSettings(
+                      height: 50,
+                      backgroundColor: AppTheme.primaryColor,
+                      monthTextStyle: const TextStyle(
+                        color: Colors.white,
+                        fontSize: 16,
+                        fontWeight: FontWeight.bold,
+                      ),
+                    ),
+                    weekHeaderSettings: WeekHeaderSettings(
+                      height: 40,
+                      textAlign: TextAlign.center,
+                      backgroundColor: Colors.grey.shade100,
+                      weekTextStyle: TextStyle(
+                        color: AppTheme.primaryColor,
+                        fontSize: 14,
+                        fontWeight: FontWeight.w600,
+                      ),
+                    ),
+                    dayHeaderSettings: DayHeaderSettings(
+                      dayFormat: 'EEEE',
+                      width: 70,
+                      dayTextStyle: const TextStyle(
+                        fontSize: 10,
+                        fontWeight: FontWeight.w500,
+                        color: AppTheme.primaryColor,
+                      ),
+                      dateTextStyle: const TextStyle(
+                        fontSize: 20,
+                        fontWeight: FontWeight.bold,
+                        color: AppTheme.primaryColor,
+                      ),
+                    ),
+                  ),
                   cellBorderColor: Colors.grey.withOpacity(0.2),
                   todayHighlightColor: AppTheme.primaryColor,
                   selectionDecoration: BoxDecoration(
@@ -291,6 +448,7 @@ class CalendarViewWidget extends StatelessWidget {
       ...controller.jadwalTerlaksana,
     ];
 
+    // Tambahkan filter berdasarkan _showAllSchedules
     DateTime now = DateTime.now();
     DateTime firstDayOfMonth = DateTime(now.year, now.month, 1);
     DateTime lastDayOfMonth = DateTime(now.year, now.month + 1, 0);
@@ -300,9 +458,14 @@ class CalendarViewWidget extends StatelessWidget {
         DateTime jadwalDate =
             FormatHelper.toLocalDateTime(jadwal.tanggalPenyaluran!);
 
-        if (jadwalDate
-                .isAfter(firstDayOfMonth.subtract(const Duration(days: 1))) &&
-            jadwalDate.isBefore(lastDayOfMonth.add(const Duration(days: 1)))) {
+        // Filter berdasarkan bulan saat ini jika _showAllSchedules.value = false
+        bool shouldShow = _showAllSchedules.value ||
+            (jadwalDate.isAfter(
+                    firstDayOfMonth.subtract(const Duration(days: 1))) &&
+                jadwalDate
+                    .isBefore(lastDayOfMonth.add(const Duration(days: 1))));
+
+        if (shouldShow) {
           Color appointmentColor;
 
           // Periksa status jadwal menggunakan switch-case untuk konsistensi
diff --git a/lib/app/modules/petugas_desa/components/greeting_header.dart b/lib/app/modules/petugas_desa/components/greeting_header.dart
index c44ebba..249ef5a 100644
--- a/lib/app/modules/petugas_desa/components/greeting_header.dart
+++ b/lib/app/modules/petugas_desa/components/greeting_header.dart
@@ -1,55 +1,223 @@
 import 'package:flutter/material.dart';
+import 'package:intl/intl.dart';
 
 class GreetingHeader extends StatelessWidget {
   final String name;
   final String role;
   final String? desa;
+  final String? nip;
+  final String? profileImageUrl;
 
   const GreetingHeader({
     super.key,
     required this.name,
     required this.role,
     this.desa,
+    this.nip,
+    this.profileImageUrl,
   });
 
+  String _getGreeting() {
+    final hour = DateTime.now().hour;
+    if (hour < 12) {
+      return 'Selamat Pagi';
+    } else if (hour < 15) {
+      return 'Selamat Siang';
+    } else if (hour < 19) {
+      return 'Selamat Sore';
+    } else {
+      return 'Selamat Malam';
+    }
+  }
+
+  String _getCurrentDate() {
+    final now = DateTime.now();
+    return DateFormat('EEEE, d MMMM yyyy', 'id_ID').format(now);
+  }
+
   @override
   Widget build(BuildContext context) {
-    final textTheme = Theme.of(context).textTheme;
-
     return Container(
       width: double.infinity,
       padding: const EdgeInsets.all(16),
       decoration: BoxDecoration(
-        color: Colors.white,
-        borderRadius: BorderRadius.circular(12),
+        gradient: LinearGradient(
+          colors: [
+            Colors.blue.shade800,
+            Colors.blue.shade600,
+          ],
+          begin: Alignment.topLeft,
+          end: Alignment.bottomRight,
+        ),
+        borderRadius: BorderRadius.circular(16),
         boxShadow: [
           BoxShadow(
-            color: Colors.grey.withAlpha(26), // 0.1 * 255 â‰ˆ 26
+            color: Colors.blue.withOpacity(0.3),
             spreadRadius: 1,
-            blurRadius: 3,
-            offset: const Offset(0, 1),
+            blurRadius: 15,
+            offset: const Offset(0, 5),
           ),
         ],
       ),
       child: Column(
         crossAxisAlignment: CrossAxisAlignment.start,
         children: [
-          Text(
-            'Selamat Datang, $name!',
-            style: textTheme.headlineSmall?.copyWith(
-              fontSize: 24,
-              fontWeight: FontWeight.bold,
-            ),
+          Row(
+            crossAxisAlignment: CrossAxisAlignment.start,
+            children: [
+              Expanded(
+                child: Column(
+                  crossAxisAlignment: CrossAxisAlignment.start,
+                  children: [
+                    Container(
+                      padding: const EdgeInsets.symmetric(
+                          horizontal: 10, vertical: 4),
+                      decoration: BoxDecoration(
+                        color: Colors.white.withOpacity(0.2),
+                        borderRadius: BorderRadius.circular(12),
+                      ),
+                      child: Text(
+                        _getGreeting(),
+                        style: const TextStyle(
+                          fontSize: 13,
+                          fontWeight: FontWeight.w500,
+                          color: Colors.white,
+                        ),
+                      ),
+                    ),
+                    const SizedBox(height: 8),
+                    Text(
+                      name,
+                      style: const TextStyle(
+                        fontSize: 20,
+                        fontWeight: FontWeight.bold,
+                        color: Colors.white,
+                      ),
+                      maxLines: 1,
+                      overflow: TextOverflow.ellipsis,
+                    ),
+                  ],
+                ),
+              ),
+              const SizedBox(width: 12),
+              Container(
+                width: 50,
+                height: 50,
+                decoration: BoxDecoration(
+                  color: Colors.white.withOpacity(0.2),
+                  shape: BoxShape.circle,
+                  border: Border.all(
+                    color: Colors.white.withOpacity(0.3),
+                    width: 2,
+                  ),
+                  image: profileImageUrl != null && profileImageUrl!.isNotEmpty
+                      ? DecorationImage(
+                          image: NetworkImage(profileImageUrl!),
+                          fit: BoxFit.cover,
+                        )
+                      : null,
+                ),
+                child: profileImageUrl == null || profileImageUrl!.isEmpty
+                    ? const Icon(
+                        Icons.person,
+                        size: 30,
+                        color: Colors.white,
+                      )
+                    : null,
+              ),
+            ],
           ),
-          const SizedBox(height: 5),
-          Text(
-            desa != null && desa!.isNotEmpty
-                ? 'Kamu Login Sebagai $role $desa.'
-                : 'Kamu Login Sebagai $role.',
-            style: textTheme.bodyMedium?.copyWith(
-              fontSize: 14,
-              color: Colors.grey[600],
-            ),
+          const SizedBox(height: 16),
+          Wrap(
+            spacing: 8,
+            runSpacing: 8,
+            children: [
+              Container(
+                padding:
+                    const EdgeInsets.symmetric(horizontal: 10, vertical: 4),
+                decoration: BoxDecoration(
+                  color: Colors.white.withOpacity(0.15),
+                  borderRadius: BorderRadius.circular(8),
+                ),
+                child: Row(
+                  mainAxisSize: MainAxisSize.min,
+                  children: [
+                    const Icon(
+                      Icons.location_on,
+                      size: 14,
+                      color: Colors.white70,
+                    ),
+                    const SizedBox(width: 4),
+                    Flexible(
+                      child: Text(
+                        desa != null && desa!.isNotEmpty
+                            ? '$role - Desa $desa'
+                            : role,
+                        style: const TextStyle(
+                          fontSize: 12,
+                          color: Colors.white70,
+                        ),
+                        maxLines: 1,
+                        overflow: TextOverflow.ellipsis,
+                      ),
+                    ),
+                  ],
+                ),
+              ),
+              if (nip != null && nip!.isNotEmpty)
+                Container(
+                  padding:
+                      const EdgeInsets.symmetric(horizontal: 10, vertical: 4),
+                  decoration: BoxDecoration(
+                    color: Colors.white.withOpacity(0.15),
+                    borderRadius: BorderRadius.circular(8),
+                  ),
+                  child: Row(
+                    mainAxisSize: MainAxisSize.min,
+                    children: [
+                      const Icon(
+                        Icons.badge,
+                        size: 14,
+                        color: Colors.white70,
+                      ),
+                      const SizedBox(width: 4),
+                      Text(
+                        'NIP: $nip',
+                        style: const TextStyle(
+                          fontSize: 12,
+                          color: Colors.white70,
+                        ),
+                      ),
+                    ],
+                  ),
+                ),
+              Container(
+                padding:
+                    const EdgeInsets.symmetric(horizontal: 10, vertical: 4),
+                decoration: BoxDecoration(
+                  color: Colors.white.withOpacity(0.15),
+                  borderRadius: BorderRadius.circular(8),
+                ),
+                child: Row(
+                  mainAxisSize: MainAxisSize.min,
+                  children: [
+                    const Icon(
+                      Icons.calendar_today,
+                      size: 14,
+                      color: Colors.white70,
+                    ),
+                    const SizedBox(width: 4),
+                    Text(
+                      _getCurrentDate(),
+                      style: const TextStyle(
+                        fontSize: 12,
+                        color: Colors.white70,
+                      ),
+                    ),
+                  ],
+                ),
+              ),
+            ],
           ),
         ],
       ),
diff --git a/lib/app/modules/petugas_desa/controllers/petugas_desa_dashboard_controller.dart b/lib/app/modules/petugas_desa/controllers/petugas_desa_dashboard_controller.dart
index fae570e..bdd792f 100644
--- a/lib/app/modules/petugas_desa/controllers/petugas_desa_dashboard_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/petugas_desa_dashboard_controller.dart
@@ -57,6 +57,15 @@ class PetugasDesaDashboardController extends GetxController {
       userProfile['desa']?['nama'] ??
       (userProfile['desa_id'] != null ? 'Desa' : 'Desa');
 
+  // Getter untuk NIP dari profil pengguna
+  String? get nip =>
+      userProfile['role_data']?['nip'] ?? _authController.roleData?.nip;
+
+  // Getter untuk foto profil dari profil pengguna
+  String? get profileImageUrl =>
+      userProfile['role_data']?['foto_profil'] ??
+      _authController.roleData?.fotoProfil;
+
   // Getter untuk counter dari CounterService
   RxInt get jumlahMenunggu => _counterService.jumlahMenunggu;
   RxInt get jumlahDiproses => _counterService.jumlahDiproses;
diff --git a/lib/app/modules/petugas_desa/views/daftar_donatur_view.dart b/lib/app/modules/petugas_desa/views/daftar_donatur_view.dart
index f4f2de7..d60bd93 100644
--- a/lib/app/modules/petugas_desa/views/daftar_donatur_view.dart
+++ b/lib/app/modules/petugas_desa/views/daftar_donatur_view.dart
@@ -263,7 +263,7 @@ class DaftarDonaturView extends GetView<DonaturController> {
                           child: Row(
                             children: [
                               const Icon(
-                                Icons.attach_money,
+                                Icons.payment_rounded,
                                 size: 14,
                                 color: Colors.green,
                               ),
